Request content insights
curl --request POST \
--url 'https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights?apiKey=&sig=' \
--header 'Content-Type: application/json' \
--data '
{
"insight": {
"input": {
"topic": {
"phrases": [
"data integration"
],
"rankSourceId": 1,
"webPropertyId": 1,
"competitorUrls": [
"https://www.example.com/data-integration",
"https://www.example.org/guides/data-integration-tools",
"https://www.example.net/data-integration-platform",
"https://www.example.com/blog/etl-vs-elt",
"https://www.example.org/data-pipelines"
]
}
},
"request": {
"insights": [
"PAA_INSIGHT",
"BODY_CONTENT_COMMON",
"CONTENT_ANALYSIS_INSIGHT",
"HTML_HEADING1_COMMON",
"HTML_HEADING2_COMMON",
"HTML_HEADING3_COMMON",
"HTML_META_DESCRIPTION_COMMON",
"HTML_TITLE_COMMON",
"CONTENT_LENGTH_INSIGHT",
"READABILITY_INSIGHT",
"OBJECTIVE_INSIGHT",
"AUDIENCE_INSIGHT",
"JOURNEY_STAGE_INSIGHT",
"CONTENT_TYPE_INSIGHT",
"SUBTOPIC_INSIGHT",
"OPPORTUNITIES_SNIPPET",
"MSV_SNIPPET"
]
}
}
}
'import requests
url = "https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights?apiKey=&sig="
payload = { "insight": {
"input": { "topic": {
"phrases": ["data integration"],
"rankSourceId": 1,
"webPropertyId": 1,
"competitorUrls": ["https://www.example.com/data-integration", "https://www.example.org/guides/data-integration-tools", "https://www.example.net/data-integration-platform", "https://www.example.com/blog/etl-vs-elt", "https://www.example.org/data-pipelines"]
} },
"request": { "insights": ["PAA_INSIGHT", "BODY_CONTENT_COMMON", "CONTENT_ANALYSIS_INSIGHT", "HTML_HEADING1_COMMON", "HTML_HEADING2_COMMON", "HTML_HEADING3_COMMON", "HTML_META_DESCRIPTION_COMMON", "HTML_TITLE_COMMON", "CONTENT_LENGTH_INSIGHT", "READABILITY_INSIGHT", "OBJECTIVE_INSIGHT", "AUDIENCE_INSIGHT", "JOURNEY_STAGE_INSIGHT", "CONTENT_TYPE_INSIGHT", "SUBTOPIC_INSIGHT", "OPPORTUNITIES_SNIPPET", "MSV_SNIPPET"] }
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
insight: {
input: {
topic: {
phrases: ['data integration'],
rankSourceId: 1,
webPropertyId: 1,
competitorUrls: [
'https://www.example.com/data-integration',
'https://www.example.org/guides/data-integration-tools',
'https://www.example.net/data-integration-platform',
'https://www.example.com/blog/etl-vs-elt',
'https://www.example.org/data-pipelines'
]
}
},
request: {
insights: [
'PAA_INSIGHT',
'BODY_CONTENT_COMMON',
'CONTENT_ANALYSIS_INSIGHT',
'HTML_HEADING1_COMMON',
'HTML_HEADING2_COMMON',
'HTML_HEADING3_COMMON',
'HTML_META_DESCRIPTION_COMMON',
'HTML_TITLE_COMMON',
'CONTENT_LENGTH_INSIGHT',
'READABILITY_INSIGHT',
'OBJECTIVE_INSIGHT',
'AUDIENCE_INSIGHT',
'JOURNEY_STAGE_INSIGHT',
'CONTENT_TYPE_INSIGHT',
'SUBTOPIC_INSIGHT',
'OPPORTUNITIES_SNIPPET',
'MSV_SNIPPET'
]
}
}
})
};
fetch('https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights?apiKey=&sig=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}Content Insights
Request content insights
Submit a request to generate content insights for a draft.
POST
/
v4
/
accounts
/
{accountId}
/
drafts
/
{draftId}
/
insights
Request content insights
Authorizations
API Key as a query parameter
Request signature computed using API key and secret. Valid for 5 minutes after creation.
Path Parameters
Account identifier
Draft identifier
Body
application/json
Show child attributes
Show child attributes
Response
Insights request accepted
⌘I
